Next: iswpunct, Previous: iswlower, Up: Ctype [Contents][Index]

### 3.23 `iswprint`, `iswprint_l`—printable wide character test

Synopsis

    #include <wctype.h>
    int iswprint(wint_t c);

    #include <wctype.h>
    int iswprint_l(wint_t c, locale_t locale);

Description
`iswprint` is a function which classifies wide-character values that are printable.

`iswprint_l` is like `iswprint` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswprint`, `iswprint_l` return non-zero if c is a printable wide character.

Portability
`iswprint` is C99. `iswprint_l` is POSIX-1.2008.

No supporting OS subroutines are required.